#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""The setup script."""

from setuptools import setup, find_packages

with open('README.rst') as readme_file:
    readme = readme_file.read()

requirements = ['ipython']

setup_requirements = ['pytest-runner', ]

test_requirements = ['pytest', ]

setup(
    author="Stefan Braun",
    author_email='sb@stbraun.com',
    classifiers=[
        'Development Status :: 4 - Beta ',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',
        'Natural Language :: English',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
    ],
    description="Commonly used helpers for jupyter notebooks.",
    install_requires=requirements,
    requires=requirements,
    license="BSD license",
    long_description=readme,
    include_package_data=True,
    keywords='jupyter_commons',
    name='jupyter_commons',
    packages=find_packages(include=['jupyter_commons']),
    setup_requires=setup_requirements,
    test_suite='tests',
    tests_require=test_requirements,
    url='https://github.com/stbraun/jupyter_commons',
    version='0.2.1',
    zip_safe=False,
)
